probe::scsi.ioexecute
Prev | Chapter 10. SCSI Tapset | Next

## Name

probe::scsi.ioexecute — Create mid-layer SCSI request and wait for the result

## Synopsis

    scsi.ioexecute

## Values

`device_state`

  The current state of the device

`request_bufflen`

  The data buffer buffer length

`retries`

  Number of times to retry request

`host_no`

  The host number

`lun`

  The lun number

`channel`

  The channel number

`request_buffer`

  The data buffer address

`dev_id`

  The scsi device id

`data_direction_str`

  Data direction, as a string

`device_state_str`

  The current state of the device, as a string

`timeout`

  Request timeout in seconds

`data_direction`

  The data_direction specifies whether this command is from/to the device.

Prev | Up | Next
probe::scsi.ioentry | Home | probe::scsi.set_state